Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.vercheck
Class AppToWatch

    java.lang.Object
      com.mindprod.vercheck.AppToWatch

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AppToWatch>

    public class AppToWatch

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<AppToWatch>

represents one row of cells, all four columns.

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID` Defining a layout version for a class.

Constructor Summary
`AppToWatch()` no-arg constructor
`AppToWatch(java.lang.String appName, java.lang.String version, java.lang.String description, java.lang.String downloadURL, java.lang.String versionURL, java.lang.String marker, com.mindprod.common11.BigDate dateReleased)` constructor

Method Summary
`int` | `compareTo(AppToWatch o)`
`java.lang.String` | `getAppName()` get name of the appName
`com.mindprod.common11.BigDate` | `getDateReleased()`
`java.lang.String` | `getDescription()` get description of what app is for
`java.lang.String` | `getDownloadURL()` get URL where can find out about how to download, usually relative URL on mindprod.com, not intended for general use.
`javax.swing.Icon` | `getIcon()` get icon for the row
`java.lang.String` | `getMarker()` get marker string expected to find at url if version has not changed.
`AppState` | `getState()` get enum AppState of appName
`java.lang.String` | `getVersion()` get version of the appName
`java.net.URL` | `getVersionURL()` get url to check the appName
`void` | `setAppName(java.lang.String appName)` set name of the appName
`void` | `setDateReleased(com.mindprod.common11.BigDate dateReleased)`
`void` | `setDescription(java.lang.String description)` set the description of what app does
`void` | `setMarker(java.lang.String marker)` set marker string expected to find at url if version has not changed.
`void` | `setState(AppState state)` set enum AppState of appName.
`void` | `setVersion(java.lang.String version)` set version of the appName
`void` | `setVersionURL(java.net.URL versionURL)` set url to check the appName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  Defining a layout version for a class.

  See Also:
    Constant Field Values

Constructor Detail

### AppToWatch

    public AppToWatch()

  no-arg constructor

### AppToWatch

    public AppToWatch(java.lang.String appName,
                      java.lang.String version,
                      java.lang.String description,
                      java.lang.String downloadURL,
                      java.lang.String versionURL,
                      java.lang.String marker,
                      com.mindprod.common11.BigDate dateReleased)

  constructor

  Parameters:
    `appName` - name of the appName
    `version` - version of the appName
    `description` - what the app is for
    `downloadURL` - where to get info on downloading.
    `versionURL` - url to check the appName
    `marker` - string expected to find at url if version has not changed.
    `dateReleased` - date this version was released

Method Detail

### compareTo

    public int compareTo(AppToWatch o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<AppToWatch>`

### getAppName

    public java.lang.String getAppName()

  get name of the appName

  Returns:
    name of the appName

### getDateReleased

    public com.mindprod.common11.BigDate getDateReleased()

### getDescription

    public java.lang.String getDescription()

  get description of what app is for

  Returns:
    description of this app, what it is for.

### setDescription

    public void setDescription(java.lang.String description)

  set the description of what app does

  Parameters:
    `description` - what the app does

### getDownloadURL

    public java.lang.String getDownloadURL()

  get URL where can find out about how to download, usually relative URL on mindprod.com, not intended for general use. Only used to generate HTML with link to where to download. Not used in Applet. Not client settable. Defined only via defaults.csv.

  Returns:
    url for download info
  See Also:
    `getVersionURL()`

### getIcon

    public javax.swing.Icon getIcon()

  get icon for the row

  Returns:
    icon to represent the row

### getMarker

    public java.lang.String getMarker()

  get marker string expected to find at url if version has not changed.

  Returns:
    marker string expected to find at url if version has not changed.

### getState

    public AppState getState()

  get enum AppState of appName

  Returns:
    enum AppState of appName

### getVersion

    public java.lang.String getVersion()

  get version of the appName

  Returns:
    version of the appName

### getVersionURL

    public java.net.URL getVersionURL()

  get url to check the appName

  Returns:
    url to check the appName
  See Also:
    `getDownloadURL()`

### setAppName

    public void setAppName(java.lang.String appName)

  set name of the appName

  Parameters:
    `appName` - name of the appName

### setDateReleased

    public void setDateReleased(com.mindprod.common11.BigDate dateReleased)

### setMarker

    public void setMarker(java.lang.String marker)

  set marker string expected to find at url if version has not changed.

  Parameters:
    `marker` - string expected to find at url if version has not changed.

### setState

    public void setState(AppState state)

  set enum AppState of appName. Does not refresh table.

  Parameters:
    `state` - enum AppState of appName

### setVersion

    public void setVersion(java.lang.String version)

  set version of the appName

  Parameters:
    `version` - version of the appName

### setVersionURL

    public void setVersionURL(java.net.URL versionURL)

  set url to check the appName

  Parameters:
    `versionURL` - url to check the appName

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD